<?php

namespace Teknisa\MAN\Services;

use Doctrine\ORM\EntityManager;
use Teknisa\MAN\Utilities;

class ConfigPortaisServices {

	public function __construct(EntityManager $entityManager) {
        $this->entityManager = $entityManager;
    }
    
    // pager digital
    public function findPager($params){
        $query = $this->entityManager->getConnection()->fetchAssoc(Utilities\Query::FIND_PAGER, $params);
        
        return $query;
    }
    
    // save GERPARAMGERAL
    public function saveGerparamgeral($params){
        $this->entityManager->getConnection()->executeQuery(Utilities\Query::PAGER_GERPARAMGERAL, $params);
    }
    
    // save PARAVEND
    public function saveParavend($params){
        $this->entityManager->getConnection()->executeQuery(Utilities\Query::PAGER_PARAVEND, $params);
    }
    
    // site cashback
    public function findSiteCashback($params){
        $query = $this->entityManager->getConnection()->fetchAll(Utilities\Query::FIND_SITECASHBACK, $params);
        
        if(is_bool($query)){
            $query = [];
        }

        return $query;
    }
    
    public function updateCashback($params){
        $this->entityManager->getConnection()->executeQuery(Utilities\Query::UPDATE_CASHBACK, $params);
    }
    
    public function insertCashback($params){
        $this->entityManager->getConnection()->executeQuery(Utilities\Query::INSERT_CASHBACK, $params);
    }
    
}